%define upstream_name    DBIx-Introspector
%define upstream_version 0.001005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Detect what database you are connected to
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers) >= 1.2.0
BuildRequires: perl(DBD::SQLite) >= 1.400.0
BuildRequires: perl(DBI) >= 1.628.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moo) >= 1.3.1
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(Test::Roo) >= 1.2.0
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(DBIx::Introspector::Driver\\)

%description
'DBIx::Introspector' is a module factored out of the the DBIx::Class
manpage database detection code. Most code that needs to detect which
database it is connected to assumes that there is a one-to-one mapping from
database drivers to database engines. Unfortunately reality is rarely that
simple. For instance, the DBD::ODBC manpage is typically used to connect to
SQL Server, but ODBC can be used to connect to PostgreSQL, MySQL, and
Oracle. Additionally, while ODBC is the most common way to connect to SQL
Server, it is not the only option, as the DBD::ADO manpage can also be
used.

'DBIx::Introspector' can correctly detect which database you are connected
to, because it was factored out of a complex, working codebase. On top of
that it has been written to be very extensible. So if you needed to detect
which version of your given database you are connected to that would not be
difficult.

Furthermore, 'DBIx::Introspector' does it's best to try to detect
information based on the dsn you give it if you have not yet connected, so
you can possibly avoid connection or at least defer connection.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.5-7.mga10
+ Revision: 2207670
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.1.5-6.mga9
+ Revision: 1817112
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.5-5.mga8
+ Revision: 1493930
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.5-4.mga7
+ Revision: 1267101
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.5-3.mga6
+ Revision: 1025475
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.1.5-2.mga6
+ Revision: 965871
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.1.5-1.mga6
+ Revision: 838623
- update to 0.001005

* Sun Oct 19 2014 umeabot <umeabot> 0.1.3-6.mga5
+ Revision: 789733
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 746128
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.1.3-4.mga5
+ Revision: 736329
- BR perl(Class::Method::Modifiers)
- add exclude

* Sat Sep 27 2014 tv <tv> 0.1.3-3.mga5
+ Revision: 727596
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-2.mga5
+ Revision: 684138
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 0.1.3-1.mga5
+ Revision: 638439
- update to 0.001003

* Fri May 02 2014 sander85 <sander85> 0.1.2-1.mga5
+ Revision: 619624
- update to 0.001002

* Thu Feb 13 2014 jquelin <jquelin> 0.1.0-1.mga5
+ Revision: 590643
- adding missing buildrequires:
- adding missing buildrequires:
- imported package perl-DBIx-Introspector


* Thu Feb 13 2014 cpan2dist 0.001000-1mga
- initial mageia release, generated with cpan2dist
